from django.urls import include, path

from users.views import Signup, account_management, update_account_details, transaction_history
from users.views import welcome, search_store, view_profile, comment_profile, rate_profile
from users.views import report_profile, suggest_profile, account_suggestions, delete_suggestion
from users.views import report_comment, delete_account, filter_search, refund_transaction

urlpatterns = [
    path(
        '',
        welcome,
        name='welcome',
    ),
    path(
        'signup/',
        Signup.as_view(),
        name='signup',
    ),
    path(
        'account-management/<int:pk>/',
        account_management,
        name='account-management',
    ),
    path(
        'update-account-details/',
        update_account_details,
        name='update-account-details',
    ),
    path(
        'transactions-history/',
        transaction_history,
        name='transactions-history',
    ),
    path(
        'search-site/',
        search_store,
        name='search-site',
    ),
    path(
        'user-account/<int:pk>',
        view_profile,
        name='user-account',
    ),
    path(
        'comment-profile/<int:profile_pk>/',
        comment_profile,
        name='comment-profile',
    ),
    path(
        'filter-publications/',
        filter_search,
        name='filter-publications',
    ),
    path(
        'rate-profile/',
        rate_profile,
        name='rate-profile',
    ),
    path(
        'report-profile/<int:profile_pk>/',
        report_profile,
        name='report-profile',
    ),
    path(
        'suggest-profile/<int:profile_pk>/',
        suggest_profile,
        name='suggest-profile',
    ),
    path(
        'user-suggestions/',
        account_suggestions,
        name='user-suggestions',
    ),
    path(
        'delete-suggestion/<uuid:pk>',
        delete_suggestion,
        name='delete-suggestion',
    ),
    path(
        'report-comment/<uuid:pk>',
        report_comment,
        name='report-comment',
    ),
    path(
        'delete-account/',
        delete_account,
        name='delete-account',
    ),
    path(
        'refund-transaction/<uuid:pk>',
        refund_transaction,
        name='refund-transaction',
    ),
]
